import java.awt.BorderLayout;
import java.awt.EventQueue;
import java.awt.Color;
import java.awt.Dimension;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JRadioButton;
import javax.swing.JLabel;
import javax.swing.border.EmptyBorder;
import javax.swing.JComboBox;
import javax.swing.Action;
import javax.swing.ButtonGroup;
import javax.swing.JButton;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;


public class Fenetre extends JFrame implements ActionListener{

	private static final long serialVersionUID = 1L;
	
	private JPanel pan = new JPanel();

	private Questionnaire questionnaire = new Questionnaire();

	private JButton boutonAddQuestion = new JButton ("Ajouter une question");
	    
	private String[] choices = new String[]{"Question  rponses multiples", "Question  rponse unique", "Question  rponse numrique", "Question  rponse texte"};
	
	
	public JPanel getPan() {
		return pan;
	}


	public void setPan(JPanel pan) {
		this.pan = pan;
	}

	/**
	 * Crer une fentre.
	 */
	
	public Fenetre() {
		
		
		this.setTitle(questionnaire.demanderTitre());
	    this.setSize(400, 500);
	    this.setLocationRelativeTo(null);
	    this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);  
	    
	   
	    pan.setBackground(Color.ORANGE);
	    pan.add(boutonAddQuestion);
	    
		boutonAddQuestion.addActionListener(new ButtonQuestionListener(questionnaire, this));

/*
		for(int i; i<questionnaire.getQuestionTab().size(); i++){
			System.out.println(""+questionnaire.getQuestionTab().get(i).getDescription());
			System.out.println(""+questionnaire.getQuestionTab().get(i).getRepTab());
			
		}
		
		*/
		this.setContentPane(pan);
	    this.setVisible(true);
	}
	
	
	/**
	 * Lancer l'application.
	 */
	
	public static void main(String[] args) {
		
		Fenetre fen = new Fenetre();
		
		

	}

//Action quand on clique sur la question



	private class ButtonQuestionListener implements ActionListener {
		private Questionnaire questionnaire;
		private Fenetre fenetre;
		 
        public ButtonQuestionListener(Questionnaire questionnaire, Fenetre fenetre) {
        	this.questionnaire = questionnaire;
        	this.fenetre = fenetre;
        }
        
        @Override
        public void actionPerformed(ActionEvent e){

        	Question q = new Question(); //On cre une question
		    q.typeReponse(choices); //Quel type de rponse pour cette question ?
		    
		    questionnaire.getQuestionTab().add(q); //On ajoute la question au tableau de Questions
		    
		  //on parcoure le tableau de questions et on affiche toutes les questions :
			
		    questionnaire.affichageQuestions(fenetre,pan);
        }
	}

//Mthode ne servant  rien, mais ncessaire sinon a marche pas
	@Override
	public void actionPerformed(ActionEvent e) {
		// TODO Auto-generated method stub
		
	}




}
